Show / Hide Table of Contents

# Class OpenIddictValidationOwinBuilder

Exposes the necessary methods required to configure the OpenIddict validation OWIN/Katana integration.

##### Inheritance

System.Object
OpenIddictValidationOwinBuilder

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationOwinBuilder

### Constructors

#### OpenIddictValidationOwinBuilder(IServiceCollection)

Initializes a new instance of OpenIddictValidationOwinBuilder.

##### Declaration

    public OpenIddictValidationOwinBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Properties

#### Services

Gets the services collection.

##### Declaration

    public IServiceCollection Services { get; }

##### Property Value

Type | Description
--- | ---
IServiceCollection |

### Methods

#### Configure(Action<OpenIddictValidationOwinOptions>)

Amends the default OpenIddict validation OWIN/Katana configuration.

##### Declaration

    public OpenIddictValidationOwinBuilder Configure(Action<OpenIddictValidationOwinOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictValidationOwinOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictValidationOwinBuilder | The OpenIddictValidationOwinBuilder.

##### Remarks

This extension can be safely called multiple times.

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()

#### SetRealm(String)

Sets the realm returned to the caller as part of the WWW-Authenticate header.

##### Declaration

    public OpenIddictValidationOwinBuilder SetRealm(string realm)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | realm | The issuer address.

##### Returns

Type | Description
--- | ---
OpenIddictValidationOwinBuilder | The OpenIddictValidationOwinBuilder.

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

#### UseActiveAuthentication()

Configures the OpenIddict validation OWIN integration to use active authentication. When using active authentication, the principal resolved from the access token is attached to the request context and 401/403 responses are automatically handled without requiring an explicit call to .

##### Declaration

    public OpenIddictValidationOwinBuilder UseActiveAuthentication()

##### Returns

Type | Description
--- | ---
OpenIddictValidationOwinBuilder | The OpenIddictValidationOwinBuilder.

##### Remarks

Using active authentication is strongly discouraged in applications using a cookie authentication middleware configured to use active authentication, as both middleware will be invoked when handling 401 responses, which will result in invalid responses.